Create Bigtable table group
Creates Bigtable table group.
- application/json
Request Body
subClientProperties object
subClientEntity object
clientName string requiredinstanceName string requireddisplayName string requiredinstanceId integerinstanceGUID stringclientId integerappName stringapplicationId integer requiredentityInfo object
companyId integercompanyName stringmultiCommcellId integerbackupsetId integersubclientId integersubclientName string requiredcommonProperties objectplanEntity object
planId integercontentOperationType integercloudAppsSubClientProp object
instanceType stringcloudDbContent object
children object[]
displayName stringname stringpath stringtype integerallOrAnyChildren booleannegation boolean
Responses
- 200
- 400
- 409
- 500
OK
- application/json
- Schema
- Example (from schema)
- Table group creation
Schema
processinginstructioninfo object
attributes object[]
name stringvalue stringresponse object
warningCode integererrorCode integerwarningMessage stringentity object
subclientId integer_SubclType_ integer_type_ integer
{
"processinginstructioninfo": {
"attributes": [
{
"name": "string",
"value": "string"
}
]
},
"response": {
"warningCode": 0,
"errorCode": 0,
"warningMessage": "string",
"entity": {
"subclientId": 0,
"_SubclType_": 0,
"_type_": 0
}
}
}
{
"processinginstructioninfo": {
"attributes": [
{
"name": "exitval",
"value": "0"
}
]
},
"response": {
"warningCode": 0,
"errorCode": 0,
"warningMessage": "",
"entity": {
"subclientId": 167,
"_SubclType_": 0,
"_type_": 0
}
}
}
Bad Request
Conflict
- application/json
- Schema
- Example (from schema)
- Example 1
Schema
- errorMessage string
- errorCode integer
{
"errorMessage": "string",
"errorCode": 0
}
{
"errorMessage": "A subclient by this name already exists as part of this backup set.",
"errorCode": 3
}
Internal Server Error
- application/json
- Schema
- Example (from schema)
- Example 1
Schema
value object
errorMessage stringerrorCode integer
{
"value": {
"errorMessage": "string",
"errorCode": 0
}
}
{
"errorMessage": "Failed to create new subclient.",
"errorCode": 1
}
Loading...